Subject: Re: [iucg] Comments on draft-ietf-idnabis-defs-10

From: jefsey <[email-masked]>
Date: Tue, 01 Sep 2009 02:48:39 +0200

John,
I _fully_ support this if:
- we agree that this only concerns "invalid A-labels" and not any 
U-labels. This seems obvious from your text, but better make it sure.
- this would be an "illegal" limitation of the namespace if this was 
extended outside of the xn-- scope (and probably IN class). So I 
particularly support the phrase "the A-labels that come out will be 
all lower case and that looking up an A-label that contains upper 
case characters is non-conforming and may produce surprising 
results." as it makes clear that it only imposes constraints on IDNA 
and not on the DNS and its namespace.

This not a change, but an extremelly clear and welcome formulation of 
the existing text and consensus fully within the LC time frame. I 
understand that it does not prevents Vixie's proposition?

We spent the night on skype over Francophonie in preparing a final LC 
mail. I think that Patrick Suger (we used as a scribe) will be happy 
to short it a lot. Thank you.
jfc

At 02:03 01/09/2009, John C Klensin wrote:
>--On Monday, August 31, 2009 14:08 -0400 Andrew Sullivan
><[email-masked]> wrote:
>
> >...
> > In my case, it's actually worse: I waded into the thread Wil
> > started months ago precisely because I was worried about what
> > he was raising & wanted to avoid having it conflated with
> > another, unrelated problem. Alas, I think I contributed to the
> > confusion instead of keeping the discussion focussed.  But I
> > still missed this in my review, much to my embarrassment.
> >
> > Therefore, I do think we need to make this issue completely
> > plain, but I am also still not sure whether there is anything
> > to change here.  If I understand the situation correctly,
> > there is no such thing as an A-label that includes an
> > upper-case ASCII character.  This is because A-labels are
> > defined in terms of being convertible to and from U-labels,
> > and there's no such thing as a valid U-label that includes
> > those upper case characters.
> >
> > Now, there's an interesting upshot of all this, and that is
> > that every A-label also compares as equivalent to some number
> > of R-LDH labels; the resulting set of labels is every
> > permutation of the A-label in question with the ASCII-range
> > characters uppercased.  None of those labels are A-labels,
> > because they don't obey the restriction that they can be
> > produced by conversion from a U-label (because no U-label may
> > contain such characters).  So far, however, this sounds to me
> > like a note that ought to be highlighted, but not a formal
> > part of the definitions or protocol.  I'm still open to
> > persuasion otherwise.
>
>Let me make an extremely tentative suggestion ("tentative" in
>the sense that I'm not sure it is right and I'm very easily
>persuaded to do something else):
>
>(1) Insert a note into Defs that explicitly points out that no
>valid A-label can contain any upper case characters (at least
>after the "xn" -- does the WG have a preference about the
>prefix?)
>
>(2) In Protocol, put in reminders in the Punycode invocation
>steps that indicate that, since the U-label cannot contain upper
>case characters, the A-labels that come out will be all lower
>case and that looking up an A-label that contains upper case
>characters is non-conforming and may produce surprising results.
>
>(e) Go through Protocol and Defs, ideally with Paul's help,
>identify all of the places where case-insensitive actions are
>taken or specified, and make sure that they don't need tuning or
>additional notes.
>
>The terms "note" and "reminder" are explicitly intended to be
>flags to help the unwary, i.e., non-normative statements that do
>not change the spec.
>
>If that works for folks, I'll sit down with the documents and
>try to craft specific text for WG review.
>
>     john
>
>
>_______________________________________________
>Idna-update mailing list
>[email-masked]
>http://www.alvestrand.no/mailman/listinfo/idna-update

---

From: Vint Cerf <[email-masked]>
Date: Mon, 31 Aug 2009 20:59:32 -0400

we have no interest in changing DNS.

v

On Aug 31, 2009, at 8:48 PM, jefsey wrote:

> - we agree that this only concerns "invalid A-labels" and not any U- 
> labels. This seems obvious from your text, but better make it sure.
> This not a change, but an extremelly clear and welcome formulation  
> of the existing text and consensus fully within the LC time frame. I  
> We spent the night on skype over Francophonie in preparing a final  
> LC mail. I think that Patrick Suger (we used as a scribe) will be  
> happy to short it a lot. Thank you.
> jfc
>